%define	upstream_name	 Catalyst-Plugin-Authorization-ACL
%define abbrev_name      Catalyst-P-A-ACL
%define upstream_version 0.16

%global __requires_exclude perl\\(A

Name:       perl-%{abbrev_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    ACL support for Catalyst applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Catalyst)
BuildRequires: perl(Catalyst::ClassData)
BuildRequires: perl(Catalyst::Controller)
BuildRequires: perl(Catalyst::Plugin::Authentication)
BuildRequires: perl(Catalyst::Plugin::Authorization::Roles)
BuildRequires: perl(Catalyst::Plugin::Session)
BuildRequires: perl(Catalyst::Plugin::Session::State::Cookie)
BuildRequires: perl(Class::Throwable)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Object)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::WWW::Mechanize::Catalyst)
BuildRequires: perl(Tree::Simple)
BuildRequires: perl(Tree::Simple::Visitor::FindByPath)
BuildRequires: perl(Tree::Simple::Visitor::GetAllDescendents)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(mro)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Provides:   perl-%{upstream_name}
Obsoletes:  perl-%{upstream_name}

%description
This module provides Access Control List style path protection, with
arbitrary rules for Catalyst applications. It operates only on the
Catalyst private namespace, at least at the moment.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Catalyst

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.160.0-7.mga8
+ Revision: 1493057
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.160.0-6.mga7
+ Revision: 1265956
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.160.0-5.mga6
+ Revision: 1023232
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.160.0-4.mga6
+ Revision: 939940
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.160.0-3.mga5
+ Revision: 750069
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.160.0-2.mga5
+ Revision: 683787
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Tue May 20 2014 jquelin <jquelin> 0.160.0-1.mga5
+ Revision: 624172
- update to 0.16

* Fri Oct 18 2013 umeabot <umeabot> 0.150.0-4.mga4
+ Revision: 509751
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-3.mga3
+ Revision: 363924
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 21 2012 kamil <kamil> 0.150.0-2.mga2
+ Revision: 199026
- remove doubled %%changelog (mga#3356)
- clean .spec

* Thu Jan 27 2011 jquelin <jquelin> 0.150.0-1.mga1
+ Revision: 42077
- mageia rebuild
- imported package perl-Catalyst-P-A-ACL

